import numpy as np

a = [10, 20, 30, 40]
methods = ['inverted_cdf', 'averaged_inverted_cdf', 'closest_observation',
           'interpolated_inverted_cdf', 'hazen', 'weibull',
           'linear',      # (default)
           'median_unbiased', 'normal_unbiased', 'lower',
           'higher', 'midpoint', 'nearest']
print('a =', a)
for m in methods:
    Qs = np.percentile(a, [25, 50, 75], method = m)
    print(f'{m:>25s}', Qs)
