import matplotlib.pyplot as plt

data = [
        66, 59, 62, 64,	63, 68, 65, 59, 68, 64,
        65, 51, 67, 64, 83, 59, 61, 62,	57, 72,
        65, 64, 54, 60, 53, 65, 67, 60,	53, 79,
        74, 53, 61, 68, 75, 50, 57, 55, 66, 56,
        55, 61, 70, 71, 49, 69, 70, 80, 73, 72]

#       日本語表記の設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP',
                                   'Hiragino Maru Gothic Pro']

plt.boxplot(data, labels = ['テスト'])
plt.xticks(fontsize = 16)
plt.ylabel('点数', fontsize = 16)
plt.show()

