import numpy as np

data = [10, 20, 30, 40]
print(data)

def MyPercentile( d, p ):
    x = sorted(d)
    n = len(x)
    pos = n * (p / 100.0) + 0.5
    if pos <= 1:
        return x[0]
    elif pos >= n:
        return x[n - 1]
    else:
        i = int(pos)
        v = (pos - i) * x[i] + (i + 1 - pos) * x[i - 1]
        return v

Qs = [MyPercentile(data, p) for p in [25, 50, 75]]
print(Qs)
